PHP Manual
Prev |  | Next

# cpdf_add_annotation

(PHP 3 >= 3.0.12, PHP 4, PHP 5 <= 5.0.4)

cpdf_add_annotation -- Adds annotation

## Description

bool cpdf_add_annotation ( int pdf_document, float llx, float lly, float urx, float ury, string title, string content [, int mode] )

Adds a note at the specified point.

## Parameters

`pdf_document`

  The document handle, returned by cpdf_open().

`llx`

  Lower left X

`lly`

  Lower left Y

`urx`

  Upper right X

`ury`

  Upper right Y

`title`

  The title of the annotation

`text`

  The contents of the annotation

`mode`

  The optional parameter `mode` determines the unit length. If it is 0 or omitted the default unit as specified for the page is used. Otherwise the coordinates are measured in postscript points disregarding the current unit.

## Return Values

Returns `TRUE` on success or `FALSE` on failure.

Prev | Home | Next
ClibPDF Functions | Up | cpdf_add_outline